Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Class AllowAllAuthenticator

    java.lang.Object
      org.apache.cassandra.auth.AllowAllAuthenticator

All Implemented Interfaces:
  IAuthenticator

    public class AllowAllAuthenticator

extends java.lang.Object
implements IAuthenticator

Constructor Summary
`AllowAllAuthenticator()`

Method Summary
`void` | `login(java.lang.String keyspace, AuthenticationRequest authRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllowAllAuthenticator

    public AllowAllAuthenticator()

Method Detail

### login

    public void login(java.lang.String keyspace,
                      AuthenticationRequest authRequest)
               throws AuthenticationException,
                      AuthorizationException

  Specified by:
    `login` in interface `IAuthenticator`
  Throws:
    `AuthenticationException`
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation